<?php
/*********************************************************************************************/
//																							 //
//                              InstantCMS v1.5   (c) 2009 FREEWARE                          //
//	 					  http://www.instantcms.ru/, info@instantcms.ru                      //
//                                                                                           //
// 						    written by Vladimir E. Obukhov, 2007-2009                        //
//                                                                                           //
/*********************************************************************************************/

function mod_latestblogs($module_id){	
        $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();
        $cfg = $inCore->loadModuleConfig($module_id);
        global $_LANG;
        $inCore->loadModel('blogs');
        $model = new cms_model_blogs();
if (!function_exists('cmsKarmaFormat')){ //if not included earlier
			include($_SERVER['DOCUMENT_ROOT'].'/core/lib_karma.php');
		}	
		if ($cfg['menuid']>0) {
			$menuid = $cfg['menuid'];
		} else {
			$menuid = $inCore->menuId();
		}

		if (!isset($cfg['showrss'])) { $cfg['showrss'] = 1;}
		if (!isset($cfg['minrate'])) { $cfg['minrate'] = 0;}
        if (!isset($cfg['namemode'])) { $cfg['namemode'] = 'blog';}

		if (!isset($cfg['shownum'])){
			echo '<p>'.$_LANG['LATESTBLOGS_CONFIG_TEXT'].'</p>';
			return;
		}

		$sql = "SELECT  p.title as title,
                        p.id as id,
                        p.seolink as seolink, 
                        b.title as blog,
                        b.owner as owner,
                        b.id as blog_id,
                        b.seolink as bloglink,
                        IF(DATE_FORMAT(p.pubdate, '%d-%m-%Y')=DATE_FORMAT(NOW(), '%d-%m-%Y'),
						DATE_FORMAT(p.pubdate, '<span class=\"today\">{$_LANG['TODAY']}</span> {$_LANG['IN']} %H:%i'), DATE_FORMAT(p.pubdate, '%d-%m-%Y'))  as fpubdate,
						b.user_id as uid,
                        IFNULL(SUM(r.points), 0) as rating,
                        b.owner as owner,
                        b.ownertype as ownertype,
                        u.nickname as author,
						cms_user_profiles.imageurl,u.nickname,u.login
				FROM cms_blog_posts p
  LEFT OUTER JOIN cms_ratings r ON r.item_id = p.id AND r.target = 'blogpost', cms_blogs b
  INNER JOIN cms_users u ON b.user_id = u.id
  INNER JOIN cms_user_profiles ON cms_user_profiles.user_id = b.user_id
WHERE
  p.blog_id = b.id AND b.allow_who = 'all' AND p.published = 1
GROUP BY
  p.id, cms_user_profiles.imageurl, u.nickname,u.login
ORDER BY
  p.pubdate DESC
LIMIT
  50";
		
		$result = $inDB->query($sql);
		
		if ($inDB->num_rows($result)){	
			

            $count = 1;

			while($con = $inDB->fetch_assoc($result)){

                if ($count > $cfg['shownum']) { break; }

                if ($con['rating'] >= $cfg['minrate']){

                    if ($con['owner']=='user' && $con['ownertype']=='single' && $cfg['namemode']=='user'){
                        $con['blog'] = $con['author'];
                    }
                    if ($con['owner']=='club'){
                        $con['blog'] = dbGetField('cms_clubs', 'id='.$con['uid'], 'title');
                    }

                    $link = $model->getPostURL($menuid, $con['bloglink'], $con['seolink']);
                    $text = strip_tags($con['title']);

                    if (strlen($text)>70) { $text = substr($text, 0, 70). '...'; }

	$con['avatar']= '<a href="'.$model->getBlogURL($menuid, $con['bloglink']).'"><div class="mod_blog_avatar" align="center"><img border="0" src=/images/users/avatars/small/'.$con['imageurl'].'></a></div> ';
	$con['userlink']='<b><a href="/users/'.$con['login'].'">'.$con['nickname'].'</b></a>';
	$con['post']='<a href="'.$link.'">'.$text.'</a>';
	$con['fpubdate'];
	$rss='<a href="/rss/blog/all/feed.rss" style="text-decoration:underline;color:#333">'.$cfg['showrss']=$_LANG['LATESTBLOGS_RSS'].'</a>';
	$lastpost[]=$con;

           $count++;
}}}
else { echo '<p>'.$_LANG['LATESTBLOGS_NOT_POSTS'].'</p>'; }

		$smarty = $inCore->initSmarty('modules', 'mod_latestblogs.tpl');
        $smarty->assign('lastpost', $lastpost);
		$smarty->assign('rss', $rss);
        $smarty->display('mod_latestblogs.tpl');
		
		return true;
}
?>